Subject: bug#21775: Updates to bug 21775

From: Casey Webster <[email-masked]>
Date: Fri, 04 Dec 2015 18:02:38 +0000

I have recently converted my workflow to use an emacs daemon and all of my
other sessions as client frames of that daemon.  This has let me gather
some more insight into this bug.

I still occasionally observe a GUI frame disappearing and exhibiting the
documented behavior.  I can close this client frame and start a new one and
the new one will immediately disappear, reproducible 100% when in this
state.  If I start a terminal frame however and then start a GUI frame the
behavior of emacs is returned to normal (for a while anyway).

This suggests to me that this is not a window manager issue since it
persists across emacsclient processes and this is either a problem with gtk
or with emacs.  If anyone has any insight into data I can collect to better
define the problem, please reach out to me.  This happens often enough that
I could collect any needed data within a day or two.